public static interface JsonValidatorEndpointBuilderFactory.JsonValidatorBuilders
| Modifier and Type | Method and Description |
|---|---|
default JsonValidatorEndpointBuilderFactory.JsonValidatorEndpointBuilder |
jsonValidator(String path)
JSON Schema Validator (camel-json-validator)
Validates the payload of a message using NetworkNT JSON Schema
library.
|
default JsonValidatorEndpointBuilderFactory.JsonValidatorEndpointBuilder jsonValidator(String path)
json-validator:resourceUri
Path parameter: resourceUri (required)
Path to the resource. You can prefix with: classpath, file, http,
ref, or bean. classpath, file and http loads the resource using these
protocols (classpath is default). ref will lookup the resource in the
registry. bean will call a method on a bean to be used as the
resource. For bean you can specify the method name after dot, eg
bean:myBean.myMethod.Apache Camel